Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qdml
Class QDMSelection

    java.lang.Object
      |
      +--com.jxml.quick.model.qdml.QDMCloneable
            |
            +--com.jxml.quick.model.qdml.QDMContentModel
                  |
                  +--com.jxml.quick.model.qdml.QDMSequence
                        |
                        +--com.jxml.quick.model.qdml.QDMSelection

All Implemented Interfaces:
  Cloneable

public class QDMSelection
extends QDMSequence

Models a selection element in QDML. The contentModel elements held by a selection element defines alternative content sub-models within the element content of another element.

    DTD:

    <!ELEMENT selection (rem*, (item|selection|sequence)+)>

    <!ATTLIST selection
        label CDATA #IMPLIED
        cref CDATA #IMPLIED
        optional CDATA "False"
        repeating CDATA "False"
        ID id #IMPLIED
    >

Fields inherited from class com.jxml.quick.model.qdml.QDMSequence
`contentList`

Fields inherited from class com.jxml.quick.model.qdml.QDMContentModel
`content, cref, enclosingCoin, initialized, label, optional, remList, repeating`

Constructor Summary
`QDMSelection()`

Method Summary
`void` | `init(Map coinMap, Map contentMap)` Resolve references, inheritance.

Methods inherited from class com.jxml.quick.model.qdml.QDMSequence
`buildMaps, clone, cminit, isContainedBy`

Methods inherited from class com.jxml.quick.model.qdml.QDMCloneable
`clone, clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QDMSelection

    public QDMSelection()

Method Detail

### init

    public void init(Map coinMap,
                     Map contentMap)
              throws SAXException

  Description copied from class: `QDMContentModel`
  Resolve references, inheritance. This method is called during initialization of the data model.
  Overrides:
    `init` in class `QDMSequence`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD